=== debian/changelog ===
svgpp (1.2.3+dfsg1-6) unstable; urgency=medium

  * [da05339] Use libagg2-dev. (Closes: #921097)

 -- Anton Gladky <gladk@debian.org>  Fri, 01 Feb 2019 19:46:28 +0100

svgpp (1.2.3+dfsg1-5) unstable; urgency=medium

  * [aef6c6d] Add the second part of fix for CVE-2019-6246

 -- Anton Gladky <gladk@debian.org>  Wed, 23 Jan 2019 19:33:50 +0100

svgpp (1.2.3+dfsg1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * d/control: Remove Testsuite field, not needed anymore
  * d/control: Set Vcs-* to salsa.debian.org

  [ Anton Gladky ]
  * [5d0f0bc] Fix CVE-2019-6246. (Closes: #919321)
  * [f3060a6] Set compat level 11
  * [a3e759c] Fix some privacy-breaches

  [ Matthias Klose ]
  * [60dacd9] autopkg tests: Build with -g1, same as done for the build.
              (Closes: #884700)

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Jan 2019 22:41:04 +0100

svgpp (1.2.3+dfsg1-3) unstable; urgency=medium

  [ Adrian Bunk ]
  * [2c459df] Reduce of amount of debug information for 32bit. (Closes: #874186)

  [ Anton Gladky ]
  * [834c29e] Mark libsvgpp-dev as arch: all.

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Sep 2017 20:43:06 +0200

svgpp (1.2.3+dfsg1-2) unstable; urgency=medium

  * [6c2411d] Set Standards-Version: 4.1.0
  * [e1be854] Add indep prefix for doc genetion. (Closes: #873782)

 -- Anton Gladky <gladk@debian.org>  Thu, 31 Aug 2017 23:06:50 +0200

svgpp (1.2.3+dfsg1-1) unstable; urgency=medium

  * Initial packaging. (Closes: #866316)

 -- Anton Gladky <gladk@debian.org>  Wed, 28 Jun 2017 21:59:56 +0200
