=== debian/control ===
Source: svgpp
Maintainer: Anton Gladky <gladk@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 11~),
               googletest,
               libagg2-dev,
               libboost-dev,
               libboost-system-dev,
               libboost-timer-dev,
               python3-sphinx-rtd-theme,
               python3-sphinx,
               sphinx-common
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/svgpp
Vcs-Git: https://salsa.debian.org/debian/svgpp.git
Homepage: https://github.com/svgpp/svgpp

Package: libsvgpp-dev
Architecture: all
Section: libdevel
Depends: libboost-dev,
         libboost-system-dev,
         libboost-timer-dev,
         ${misc:Depends}
Description: SVG-framework with parsers for various syntaxes and adapters. Development files
 The library can be thought of as a framework, containing parsers for various
 SVG syntaxes, adapters that simplify handling of parsed data and a lot of
 other utilities and helpers for the most common tasks.  SVG++ features
 .
  * Is a header-only library
  * Can be used with any XML parser
  * Compile time configured - no virtual functions
  * Minimal runtime overhead - you pay only for what you get
  * Fully functional, conforming SVG viewers
  * Simple in-app SVG rasterizers
  * Import modules of vector editing software
  * Implementing path-only input of SVG format with minimal efforts
    in any graphics or math software
  * Compatible with C++03, but requires conforming implementation
 .
 The package contains the header development files.

Package: libsvgpp-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Description: SVG-framework with parsers for various syntaxes and adapters. Documentation
 The library can be thought of as a framework, containing parsers for various
 SVG syntaxes, adapters that simplify handling of parsed data and a lot of
 other utilities and helpers for the most common tasks.  SVG++ features
 .
  * Is a header-only library
  * Can be used with any XML parser
  * Compile time configured - no virtual functions
  * Minimal runtime overhead - you pay only for what you get
  * Fully functional, conforming SVG viewers
  * Simple in-app SVG rasterizers
  * Import modules of vector editing software
  * Implementing path-only input of SVG format with minimal efforts
    in any graphics or math software
  * Compatible with C++03, but requires conforming implementation
 .
 The package contains the documentation.
