=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
-	cd doc/sphinx/ ; sphinx-build -b html ./ html
+	cd doc/sphinx/ ; python3 -m sphinx -b html ./ html
 endif
 
 override_dh_auto_clean:
@@ -24,5 +24,6 @@
 
 override_dh_sphinxdoc-indep:
 	dh_sphinxdoc
-	find debian/libsvgpp-doc/usr/share/doc/libsvgpp-doc/html -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.mathjax\.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'
-	rm -rf debian/libsvgpp-doc/usr/share/doc/libsvgpp-doc/html/_sources/license.txt
+	find debian/libsvgpp-doc/ -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.mathjax\.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'
+	find debian/libsvgpp-doc/ -type f -print0 | xargs -0 sed -i 's/https:\/\/cdnjs\.cloudflare\.com\/ajax\/libs\/mathjax\/2\.7\.1/\/usr\/share\/javascript\/mathjax\//g'
+	rm -rf debian/libsvgpp-doc/usr/share/doc/libsvgpp-dev/html/_sources/license.txt
