## svgpp 1.3.0%2Bdfsg1

=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,7 @@
   urange_grammar_test.cpp 
   value_parser_test.cpp
   value_parser_length_test.cpp 
+  value_parser_paint_ie_test.cpp 
   value_parser_paint_test.cpp 
 	value_parser_path_test.cpp 
 	value_parser_transform_test.cpp
