=== debian/changelog ===
svgpp (1.3.0+dfsg1-4+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2021-44960
    fix XMLDocument::getRoot function.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Oct 2025 11:03:02 +0200

svgpp (1.3.0+dfsg1-4) unstable; urgency=medium

  * [aef0c7e] Fix autopkgtests with new boost. (Closes: #977260)
  * [1491fca] Update watch file format version to 4.

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Dec 2020 21:02:33 +0100

svgpp (1.3.0+dfsg1-3) unstable; urgency=medium

  * [4cc7642] Add gitlab-ci.yml
  * [758f853] Fix doc-base path
  * [75e17dd] Set compat-level 13
  * [cbee709] Fix lintian warnings

 -- Anton Gladky <gladk@debian.org>  Tue, 10 Nov 2020 18:49:20 +0100

svgpp (1.3.0+dfsg1-2) unstable; urgency=medium

  * [d3e365c] Remove gitlab-ci.yml
  * [20b8323] Recover upstream state of the master branch
  * [7dd6b15] Disable two more failing test. (Closes: #973130)
  * [a84c76a] Wrap long lines in changelog entries: 1.3.0+dfsg1-1.

 -- Anton Gladky <gladk@debian.org>  Thu, 05 Nov 2020 17:42:56 +0100

svgpp (1.3.0+dfsg1-1) unstable; urgency=medium

  * [fbfe99b] New upstream version 1.3.0+dfsg1. (Closes: #960426)
  * [5422e42] Update d/copyright
  * [3fa199d] Bump debhelper from old 11 to 12.
  * [0732e9d] Set debhelper-compat version in Build-Depends.
  * [e43a250] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * [2602da4] Update standards version to 4.4.0, no changes needed.
  * [393628d] Bump Standards-version 4.5.0
  * [968098d] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Jun 2020 22:27:54 +0200
