## svgpp 1.3.0+dfsg1

=== debian/changelog ===
svgpp (1.3.0+dfsg1-6) unstable; urgency=medium

  * [4973a7b] Allow-stderr in tests.

 -- Anton Gladky <gladk@debian.org>  Sat, 25 Mar 2023 09:12:47 +0100

svgpp (1.3.0+dfsg1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * [f2e4186] Apply multi-arch hints. + libsvgpp-doc: Add Multi-Arch: foreign.

  [ Anton Gladky ]
  * [0349bf0] CVE-2021-44960: fix XMLDocument::getRoot function. (Closes: #1014599)
  * [a3f3ab2] d/control: set Standards-Version to 4.6.2
  * [e499e98] CVE-2019-6245, CVE-2019-6247: set versioned depends on libagg. 
  * [74723a4] Simplify d/.gitlab-ci.yml.

 -- Anton Gladky <gladk@debian.org>  Wed, 22 Mar 2023 07:07:59 +0100
