=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                googletest,
-               libagg2-dev,
+               libagg2-dev (>=1:2.4.0),
                libboost-dev,
                libboost-system-dev,
                libboost-timer-dev,
                python3-sphinx-rtd-theme,
                python3-sphinx,
                sphinx-common
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/svgpp
 Vcs-Git: https://salsa.debian.org/debian/svgpp.git
 Homepage: https://github.com/svgpp/svgpp
@@ -44,6 +44,7 @@
 
 Package: libsvgpp-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${shlibs:Depends},
