=== debian/changelog ===
svgpp (1.3.1+dfsg1-1) unstable; urgency=medium

  * [c8c1f2b] Add lintian-overrides
  * [61dadb5] Allow-stderr in tests
  * [0779ffa] New upstream version 1.3.1+dfsg1
  * [6296434] Clean up obsolete debian patches
  * [99e60be] Increase minimum required CMake version (Closes: #1113552)
  * [31f89f4] chore(debian): Update Standards-Version to 4.7.2
  * [627d3f3] Trim trailing whitespace.

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Oct 2025 12:39:13 +0200
