=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: svgpp
+Standards-Version: 4.7.2
 Maintainer: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               googletest,
-               libagg2-dev (>=1:2.4.0),
-               libboost-dev,
-               libboost-system-dev,
-               libboost-timer-dev,
-               python3-sphinx-rtd-theme,
-               python3-sphinx,
-               sphinx-common
-Standards-Version: 4.6.2
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ googletest,
+ libagg2-dev,
+ libboost-dev,
+ libboost-system-dev,
+ libboost-timer-dev,
+ python3-sphinx-rtd-theme,
+ python3-sphinx,
+ sphinx-common,
 Vcs-Browser: https://salsa.debian.org/debian/svgpp
 Vcs-Git: https://salsa.debian.org/debian/svgpp.git
 Homepage: https://github.com/svgpp/svgpp
@@ -20,10 +21,11 @@
 Package: libsvgpp-dev
 Architecture: all
 Section: libdevel
-Depends: libboost-dev,
-         libboost-system-dev,
-         libboost-timer-dev,
-         ${misc:Depends}
+Depends:
+ libboost-dev,
+ libboost-system-dev,
+ libboost-timer-dev,
+ ${misc:Depends},
 Description: SVG-framework with parsers for various syntaxes and adapters. Development files
  The library can be thought of as a framework, containing parsers for various
  SVG syntaxes, adapters that simplify handling of parsed data and a lot of
@@ -46,10 +48,11 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         ${sphinxdoc:Depends},
-         libjs-mathjax
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ ${sphinxdoc:Depends},
+ libjs-mathjax,
 Description: SVG-framework with parsers for various syntaxes and adapters. Documentation
  The library can be thought of as a framework, containing parsers for various
  SVG syntaxes, adapters that simplify handling of parsed data and a lot of
