=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,5 @@
 	dh_sphinxdoc
 	find debian/libsvgpp-doc/ -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.mathjax\.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'
 	find debian/libsvgpp-doc/ -type f -print0 | xargs -0 sed -i 's/https:\/\/cdnjs\.cloudflare\.com\/ajax\/libs\/mathjax\/2\.7\.1/\/usr\/share\/javascript\/mathjax\//g'
+	find debian/libsvgpp-doc/ -type f -print0 | xargs -0 sed -i 's/http:\/\/www\.w3\.org\/TR\/SVG11\/images\/coords\/Matrix.png//g'
 	rm -rf debian/libsvgpp-doc/usr/share/doc/libsvgpp-dev/html/_sources/license.txt
