=== debian/tests/control ===
Tests: build1 build2 build3
Depends: libsvgpp-dev, build-essential
Restrictions: allow-stderr
